• B правой части каждого сообщения есть стрелки и . Не стесняйтесь оценивать ответы. Чтобы автору вопроса закрыть свой тикет, надо выбрать лучший ответ. Просто нажмите значок в правой части сообщения.

  • Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

Ошибка при запуске Wifiphisher , есть 2 вай фай адаптера поддерживающие режим монитора. Помогите

iwustg

Active member
13.01.2022
25
0
BIT
0
Ошибка при запуске Wifiphisher , есть 2 вай фай адаптера поддерживающие режим монитора. Помогите
Использую kali linux
Устанавливал командой -
sudo apt install wifiphisher hostapd dnsmas
после выполнения этой команды ввёл эту -
pip install pyric
после запустил командой
sudo wifiphisher

выдаёт такую ошибку
Код:
┌──(kali㉿kali)-[~]
└─$ sudo wifiphisher
[sudo] password for kali:
[*] Starting Wifiphisher 1.4GIT ( https://wifiphisher.org ) at 2022-01-26 12:00
[+] Timezone detected. Setting channel range to 1-13
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 1070, in devinfo
    rmsg = nl.nl_recvmsg(nlsock)
  File "/usr/lib/python3/dist-packages/pyric/lib/libnl.py", line 244, in nl_recvmsg
    msg = nlmsg_fromstream(sock.recv())
  File "/usr/lib/python3/dist-packages/pyric/lib/libnl.py", line 444, in nlmsg_fromstream
    raise error(abs(e),strerror(abs(e)))
libnl.error: [Errno 19] No such device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/wifiphisher", line 33, in <module>
    sys.exit(load_entry_point('wifiphisher==1.4', 'console_scripts', 'wifiphisher')())
  File "/usr/lib/python3/dist-packages/wifiphisher/pywifiphisher.py", line 728, in run
    engine.start()
  File "/usr/lib/python3/dist-packages/wifiphisher/pywifiphisher.py", line 407, in start
    self.opmode.initialize(args)
  File "/usr/lib/python3/dist-packages/wifiphisher/common/opmode.py", line 54, in initialize
    interfaces.is_add_vif_required(args.interface,
  File "/usr/lib/python3/dist-packages/wifiphisher/common/interfaces.py", line 813, in is_add_vif_required
    card = pyw.getcard(vif)
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 277, in getcard
    if nlsock is None: return _nlstub_(getcard, dev)
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 2279, in _nlstub_
    return fct(*argv)
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 278, in getcard
    return devinfo(dev, nlsock)['card']
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 1083, in devinfo
    raise pyric.error(pyric.EPROTONOSUPPORT, "Device does not support nl80211")
pyric.error: [Errno 93] Device does not support nl80211
 

INPC

Grey Team
21.08.2019
77
161
BIT
139
Python:
[CODE]┌──(kali㉿kali)-[~]
└─$ sudo wifiphisher
[sudo] password for kali:
[*] Starting Wifiphisher 1.4GIT ( https://wifiphisher.org ) at 2022-01-26 12:00
[+] Timezone detected. Setting channel range to 1-13
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 1070, in devinfo
    rmsg = nl.nl_recvmsg(nlsock)
  File "/usr/lib/python3/dist-packages/pyric/lib/libnl.py", line 244, in nl_recvmsg
    msg = nlmsg_fromstream(sock.recv())
  File "/usr/lib/python3/dist-packages/pyric/lib/libnl.py", line 444, in nlmsg_fromstream
    raise error(abs(e),strerror(abs(e)))
libnl.error: [Errno 19] No such device

Данный трейс говорит, что не нашел устройство,

Python:
Traceback (most recent call last):
  File "/usr/bin/wifiphisher", line 33, in <module>
    sys.exit(load_entry_point('wifiphisher==1.4', 'console_scripts', 'wifiphisher')())
  File "/usr/lib/python3/dist-packages/wifiphisher/pywifiphisher.py", line 728, in run
    engine.start()
  File "/usr/lib/python3/dist-packages/wifiphisher/pywifiphisher.py", line 407, in start
    self.opmode.initialize(args)
  File "/usr/lib/python3/dist-packages/wifiphisher/common/opmode.py", line 54, in initialize
    interfaces.is_add_vif_required(args.interface,
  File "/usr/lib/python3/dist-packages/wifiphisher/common/interfaces.py", line 813, in is_add_vif_required
    card = pyw.getcard(vif)
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 277, in getcard
    if nlsock is None: return _nlstub_(getcard, dev)
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 2279, in _nlstub_
    return fct(*argv)
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 278, in getcard
    return devinfo(dev, nlsock)['card']
  File "/usr/lib/python3/dist-packages/pyric/pyw.py", line 1083, in devinfo
    raise pyric.error(pyric.EPROTONOSUPPORT, "Device does not support nl80211")
pyric.error: [Errno 93] Device does not support nl80211

Этот же трейс, дословно: Устройство не поддерживает nl80211
Ваш адаптер не поддерживает режим nl80211.
А еще по первой же ссылке в гугле, яндексе и дакдакго лежит ответ на точно такой же вопрос: тык
 
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!